@font-face {
  font-family: 'rawline-300';
  src: url('../fonts/rawline/rawline-300.ttf');
}

@font-face {
  font-family: 'mickey';
  src: url('../fonts/mickey/mickey.ttf') format('truetype');
}

:root {
  /* Couleurs d'un lien */
  --link-color: #456a91;
  --link-color-vis: #456a91;
  --link-color-hov: #729fcf;

  /* Couleurs d'un lien sur fond sombre */
  --link-color-dark: #729fcf;
  --link-color-vis-dark: #729fcf;
  --link-color-hov-dark: #94b1d0;

  /* Couleurs de fond d'un lien (s'il en a un) */
  --link-bg: rgba(255, 255, 255, 0.75);
  --link-bg-dark: rgba(255, 255, 255, 0.05); /* Utilisé si le fond derrière est sombre */

  /* Couleur de fond des menus, comme le menu contextuel ou la colonne lexique. */
  --menu-bg: linear-gradient(135deg, #333 5%, #5a5a5a 100%);
  --menu-item-color: whitesmoke;
  --menu-item-color-vis: whitesmoke;
  --menu-item-color-hov: #fffe92;
  --menu-item-bg-hov: #505050;

  /* Couleurs d'un article */
  --article-bg-color: rgba(242, 242, 212, 0.5);

  /* Couleurs de l'éditeur */
  /* Note: EditorJS n'est apparament prevu que pour les fonds blancs ... */
  /* --editor-bg: #fdffb0; couleur originale */
  --editor-bg: white;
  --editor-shadow: whitesmoke;

  /* Couleurs des tables */
  --table-row-bg-odd: rgba(221, 221, 221, 0.5);
  --table-row-bg-even: rgba(206, 206, 206, 0.5);
  --table-row-bg-hov: rgba(114, 159, 207, 0.2);
}
